libxml2-2-2.9.4-15.1.x86_64.rpm


Advertisement

Description

libxml2-2 - A Library to Manipulate XML Files

Property Value
Distribution openSUSE Leap 42.3
Repository openSUSE Update Oss all
Package name libxml2-2
Package version 2.9.4
Package release 15.1
Package architecture x86_64
Package type rpm
Installed size 1.55 MB
Download size 576.45 KB
Official Mirror ftp.gwdg.de
The XML C library was initially developed for the GNOME project. It is
now used by many programs to load and save extensible data structures
or manipulate any kind of XML files.
This library implements a number of existing standards related to
markup languages, including the XML standard, name spaces in XML, XML
Base, RFC 2396, XPath, XPointer, HTML4, XInclude, SGML catalogs, and
XML catalogs. In most cases, libxml tries to implement the
specification in a rather strict way. To some extent, it provides
support for the following specifications, but does not claim to
implement them: DOM, FTP client, HTTP client, and SAX.
The library also supports RelaxNG. Support for W3C XML Schemas is in
progress.

Alternatives

Package Version Architecture Repository
libxml2-2-2.9.4-18.1.x86_64.rpm 2.9.4 x86_64 openSUSE Update Oss
libxml2-2-2.9.4-12.1.x86_64.rpm 2.9.4 x86_64 openSUSE Update Oss
libxml2-2-2.9.4-10.1.x86_64.rpm 2.9.4 x86_64 openSUSE Oss
libxml2-2 - - -

Requires

Name Value
/sbin/ldconfig -
libc.so.6(GLIBC_2.15)(64bit) -
libdl.so.2()(64bit) -
libdl.so.2(GLIBC_2.2.5)(64bit) -
liblzma.so.5()(64bit) -
liblzma.so.5(XZ_5.0)(64bit) -
libm.so.6()(64bit) -
libm.so.6(GLIBC_2.2.5)(64bit) -
libz.so.1()(64bit) -
libz.so.1(ZLIB_1.2.2.3)(64bit) -
libz.so.1(ZLIB_1.2.3.3)(64bit) -

Provides

Name Value
libxml2-2 = 2.9.4-15.1
libxml2-2(x86-64) = 2.9.4-15.1
libxml2.so.2()(64bit) -
libxml2.so.2(LIBXML2_2.4.30)(64bit) -
libxml2.so.2(LIBXML2_2.5.0)(64bit) -
libxml2.so.2(LIBXML2_2.5.2)(64bit) -
libxml2.so.2(LIBXML2_2.5.4)(64bit) -
libxml2.so.2(LIBXML2_2.5.5)(64bit) -
libxml2.so.2(LIBXML2_2.5.6)(64bit) -
libxml2.so.2(LIBXML2_2.5.7)(64bit) -
libxml2.so.2(LIBXML2_2.5.8)(64bit) -
libxml2.so.2(LIBXML2_2.5.9)(64bit) -
libxml2.so.2(LIBXML2_2.6.0)(64bit) -
libxml2.so.2(LIBXML2_2.6.1)(64bit) -
libxml2.so.2(LIBXML2_2.6.10)(64bit) -
libxml2.so.2(LIBXML2_2.6.11)(64bit) -
libxml2.so.2(LIBXML2_2.6.12)(64bit) -
libxml2.so.2(LIBXML2_2.6.14)(64bit) -
libxml2.so.2(LIBXML2_2.6.15)(64bit) -
libxml2.so.2(LIBXML2_2.6.16)(64bit) -
libxml2.so.2(LIBXML2_2.6.17)(64bit) -
libxml2.so.2(LIBXML2_2.6.18)(64bit) -
libxml2.so.2(LIBXML2_2.6.19)(64bit) -
libxml2.so.2(LIBXML2_2.6.2)(64bit) -
libxml2.so.2(LIBXML2_2.6.20)(64bit) -
libxml2.so.2(LIBXML2_2.6.21)(64bit) -
libxml2.so.2(LIBXML2_2.6.23)(64bit) -
libxml2.so.2(LIBXML2_2.6.24)(64bit) -
libxml2.so.2(LIBXML2_2.6.25)(64bit) -
libxml2.so.2(LIBXML2_2.6.27)(64bit) -
libxml2.so.2(LIBXML2_2.6.28)(64bit) -
libxml2.so.2(LIBXML2_2.6.29)(64bit) -
libxml2.so.2(LIBXML2_2.6.3)(64bit) -
libxml2.so.2(LIBXML2_2.6.32)(64bit) -
libxml2.so.2(LIBXML2_2.6.5)(64bit) -
libxml2.so.2(LIBXML2_2.6.6)(64bit) -
libxml2.so.2(LIBXML2_2.6.7)(64bit) -
libxml2.so.2(LIBXML2_2.6.8)(64bit) -
libxml2.so.2(LIBXML2_2.7.0)(64bit) -
libxml2.so.2(LIBXML2_2.7.3)(64bit) -
libxml2.so.2(LIBXML2_2.7.4)(64bit) -
libxml2.so.2(LIBXML2_2.8.0)(64bit) -
libxml2.so.2(LIBXML2_2.9.0)(64bit) -
libxml2.so.2(LIBXML2_2.9.1)(64bit) -

Download

Type URL
Binary Package libxml2-2-2.9.4-15.1.x86_64.rpm
Source Package libxml2-2.9.4-15.1.src.rpm

Install Howto

Install libxml2-2 rpm package:

# zypper install libxml2-2

Files

Path
/usr/lib64/libxml2.so.2
/usr/lib64/libxml2.so.2.9.4
/usr/share/doc/packages/libxml2/AUTHORS
/usr/share/doc/packages/libxml2/COPYING
/usr/share/doc/packages/libxml2/Copyright
/usr/share/doc/packages/libxml2/NEWS
/usr/share/doc/packages/libxml2/README
/usr/share/doc/packages/libxml2/TODO
/usr/share/doc/packages/libxml2/TODO_SCHEMAS

Changelog

2018-02-02 - pmonrealgonzalez@suse.com
- Security fix [bsc#1078813, CVE-2016-5131]
* Use-after-free vulnerability in libxml2 through 2.9.4,
as used in Google Chrome before 52.0.2743.82, allows
remote attackers to cause a denial of service or possibly
have unspecified other impact via vectors related to the
XPointer range-to function.
* Added patches:
- libxml2-2.9.4-CVE-2016-5131.patch
- libxml2-xmlXPathCmpNodes.patch
2018-02-02 - pmonrealgonzalez@suse.com
- Security fix [bsc#1078806, CVE-2017-5130]
* Remote buffer overflow in function xmlMemoryStrdup()
* Added patch libxml2-2.9.4-CVE-2017-5130.patch
2018-01-29 - pmonrealgonzalez@suse.com
- Security fix [bsc#1077993, CVE-2017-15412]
* Fixed use-after-free in xmlXPathCompOpEvalPositionalPredicate
* Added patch libxml2-2.9.4-CVE-2017-15412.patch
2017-07-27 - pmonrealgonzalez@suse.com
- Security fix [CVE-2017-8872, bsc#1038444]
* global-buffer-overflow in htmlParseTryOrFinish
* Added patch libxml2-2.9.4-CVE-2017-8872.patch
2017-06-23 - pmonrealgonzalez@suse.com
- Security fix:
* libxml2-CVE-2017-7376.patch [bsc#1044887, CVE-2017-7376]
* Increase buffer space for port in HTTP redirect support
2017-06-20 - pmonrealgonzalez@suse.com
- Security fix:
* libxml2-CVE-2017-7375.patch [bsc#1044894, CVE-2017-7375]
* Prevent unwanted external entity reference
2017-06-20 - pmonrealgonzalez@suse.com
- Upstream patches updated and with tests:
* libxml2-CVE-2017-9047.patch and libxml2-CVE-2017-9048.patch
merged into libxml2-CVE-2017-9047.patch
[bsc#1039066, bsc#1039661]
* libxml2-CVE-2017-9049.patch and libxml2-CVE-2017-9050.patch
merged into libxml2-CVE-2017-9049.patch
[bsc#1039063, bsc#1039064]
2017-06-15 - pmonrealgonzalez@suse.com
- Security fix:
* libxml2-CVE-2017-0663.patch [bsc#1044337, CVE-2017-0663]
* Fix Heap buffer overflow in xmlAddID
2017-06-14 - pmonrealgonzalez@suse.com
- Security fix:
* libxml2-CVE-2017-5969.patch [bsc#1024989, CVE-2017-5969]
* Fix NULL pointer deref in xmlDumpElementContent
* Deleted patch libxml2-NULL-deref-xmlDumpElementContent.patch
2017-05-17 - pmonrealgonzalez@suse.com
- Security fixes:
* libxml2-CVE-2017-9050.patch [bsc#1039069, bsc#1039661]
* heap-based buffer overflow (xmlDictAddString func)
* libxml2-CVE-2017-9049.patch [bsc#1039066]
* heap-based buffer overflow (xmlDictComputeFastKey func)
* libxml2-CVE-2017-9048.patch [bsc#1039063]
* stack overflow vulnerability (xmlSnprintfElementContent func)
* libxml2-CVE-2017-9047.patch [bsc#1039064]
* stack overflow vulnerability (xmlSnprintfElementContent func)

See Also

Package Description
libxml2-2-32bit-2.9.4-12.1.x86_64.rpm A Library to Manipulate XML Files
libxml2-2-32bit-2.9.4-15.1.x86_64.rpm A Library to Manipulate XML Files
libxml2-2-32bit-2.9.4-18.1.x86_64.rpm A Library to Manipulate XML Files
libxml2-devel-2.9.4-12.1.x86_64.rpm Include Files and Libraries mandatory for Development
libxml2-devel-2.9.4-15.1.x86_64.rpm Include Files and Libraries mandatory for Development
libxml2-devel-2.9.4-18.1.x86_64.rpm Include Files and Libraries mandatory for Development
libxml2-devel-32bit-2.9.4-12.1.x86_64.rpm Include Files and Libraries mandatory for Development
libxml2-devel-32bit-2.9.4-15.1.x86_64.rpm Include Files and Libraries mandatory for Development
libxml2-devel-32bit-2.9.4-18.1.x86_64.rpm Include Files and Libraries mandatory for Development
libxml2-doc-2.9.4-12.1.noarch.rpm A Library to Manipulate XML Files
libxml2-doc-2.9.4-15.1.noarch.rpm A Library to Manipulate XML Files
libxml2-doc-2.9.4-18.1.noarch.rpm A Library to Manipulate XML Files
libxml2-tools-2.9.4-12.1.x86_64.rpm Tools using libxml
libxml2-tools-2.9.4-15.1.x86_64.rpm Tools using libxml
libxml2-tools-2.9.4-18.1.x86_64.rpm Tools using libxml
Advertisement
Advertisement